#include <iostream>
#include <vector>
#include <string>
#include <map>

using namespace std;

int main() {
    cin.tie(nullptr);
    ios::sync_with_stdio(false);
    int n;
    cin >> n;
    vector<pair<int, string>> res = {{0,"GG"}, {0,"RR"}, {0,"BB"},
                                     {0,"RG"}, {0,"RB"}, {0,"BG"}};
    map <string, int> m = {{"GG", 0}, {"RR", 1}, {"GG", 2},
                           {"RG", 3}, {"RB", 4}, {"BG", 5},
                           {"GR", 3}, {"BR", 4}, {"GB", 5}
                           };
    for (int i = 0; i < n; ++i)
    {
        string s;
        cin >> s;
        string sg;
        sg += s[0]; sg += s[s.length() - 1];
        res[m[sg]].first += 1;
        for (int j = 0; j < s.length() - 1; ++j)
        {
            string ss;
            ss += s[j]; ss += s[j + 1];
            res[m[ss]].first += 1;
        }
    }
    int max = 0;
    for (int i = 0; i < 6; ++i)
    {
        if (res[i].first > max)
            max = res[i].first;
    }
    for (int i = 0; i < 6; ++i)
    {
        if (res[i].first == max)
            cout << res[i].second << "\n";
    }
    return 0;
}
