#pragma GCC optimise

#include <iostream>
#include <vector>
#include <set>
#include <map>
#include <queue>
#include <stack>
#include <iomanip>
#include <cmath>

using namespace std;
typedef long long ll;
typedef long double ld;

void comb(vector<int> a, vector<int> p, map<int, int> m, vector<int> path, int i, int sum, bool pos) {
//    for(int j = 0; j < path.size(); j++){
//        cout << path[j] << " ";
//    }
//    cout << sum << endl;
    if (path.size() == a.size()) {
        if ((sum % 2 == 0) == pos) {
            for (int j = 0; j < path.size(); j++) {
                cout << path[j] << " ";
            }
            cout << endl;
        }
        return;
    }
    for (int j = 0; j <= m[p[i]]; j++) {
        vector<int> add = path;
        for (int k = 0; k < j; k++) {
            add.push_back(-p[i]);
        }
        for (int k = 0; k < m[p[i]] - j; k++) {
            add.push_back(p[i]);
        }
        comb(a, p, m, add, i + 1, sum + j, pos);
    }
}

int main() {
    ios_base::sync_with_stdio(false);
    int n1, n;
    bool pos;
    cin >> n1;
    pos = n1 > 0;
    n1 = abs(n1);
    n = n1;
    map<int, int> m;
    for (int i = 2; i <= n; i++) {
        if (n % i == 0) {
            m[i] = 0;
        }
        while (n % i == 0) {
            n /= i;
            m[i]++;
        }
    }
    vector<int> a, p;
    for (auto &i : m) {
        p.push_back(i.first);
        for (int j = 0; j < i.second; j++) {
            a.push_back(i.first);
        }
    }
    comb(a, p, m, {}, 0, 0, pos);
}