stringsCount: int = int(input())


class Pair:
    def __init__(self, name):
        self.name = name
        self.reverseName = name[1] + name[0]
        self.count = 0


class PairRepository:
    pairs: [] = [Pair('RG'), Pair('GB'), Pair('BR'), Pair('RR'), Pair('GG'), Pair('BB')]  # gen?

    def increment_pair_count(self, name):
        for p in self.pairs:
            if (p.name == name) or (p.reverseName == name):
                p.count += 1
                return

    def get_most_frequent_pairs(self):
        most_frequent_pairs = [self.pairs[0]]
        for p in self.pairs:
            if p.count > most_frequent_pairs[0].count:
                most_frequent_pairs.clear()
                most_frequent_pairs.append(p)
            elif p.count == most_frequent_pairs[0].count and p.name != most_frequent_pairs[0].name:
                most_frequent_pairs.append(p)

        return most_frequent_pairs


strings: [] = []
for i in range(stringsCount):
    strings.append(input())

repo = PairRepository()
for string in strings:
    for j in range(len(string)):
        if j - 1 >= 0:
            pairName = string[j] + string[j - 1]
        else:
            pairName = string[0] + string[len(string) - 1]

        repo.increment_pair_count(pairName)

mostFrequentPairs = repo.get_most_frequent_pairs()
for pair in mostFrequentPairs:
    print(pair.name)
