import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.*;

public class TaskD {
    public static void main(String[] args) throws IOException {
        BufferedReader r = new BufferedReader(new InputStreamReader(System.in));
        int n = Integer.parseInt(r.readLine());
        for (int i = 0; i < n; i++) {
            char t = '0';
            while (t != 'R' && t != 'G' && t != 'B')
                t = (char) r.read();
            char f = t;
            for (char c = (char) r.read(); c == 'R' || c == 'G' || c == 'B'; c = (char) r.read()) {
                proc(c, t);
                t = c;
            }
            proc(f, t);
        }
        List<Integer> indexes = new ArrayList<>(6);
        int max = 0;
        for (int i = 0; i < count.length; i++) {
            if (count[i] >= max) {
                if (count[i] > max) {
                    max = count[i];
                    indexes.clear();
                }
                indexes.add(i);
            }
        }
        indexes.forEach(e -> {
            String s = "RR";
            if (e == 0)
                s = "BB";
            else if (e == 1)
                s = "BG";
            else if (e == 2)
                s = "BR";
            else if (e == 3)
                s = "GG";
            else if (e == 4)
                s = "GR";
            System.out.println(s);
        });
    }

    private static int[] count = new int[6];

    private static void proc(char b, char a) {
        if (a > b) {
            char tmp = b;
            b = a;
            a = tmp;
        }
        if (a == 'B') {
            if (b == 'B')
                count[0] += 1;
            else if (b == 'G')
                count[1] += 1;
            else
                count[2] += 1;
        } else if (a == 'G') {
            if (b == 'G')
                count[3] += 1;
            else
                count[4] += 1;
        } else
            count[5] += 1;
    }
}
