import java.util.ArrayDeque;
import java.util.Arrays;
import java.util.List;
import java.util.Scanner;
import java.util.stream.Collectors;

public class TaskF {
    public static void main(String[] args) {
        Scanner s = new Scanner(System.in);
        int n = s.nextInt(), k = s.nextInt(), m = s.nextInt();
        int[] full = new int[n];
        ArrayDeque<Integer> kbuff = new ArrayDeque<>();
        int prevK = 0;
        for (int i = 0; i < n; i++) {
            int in = s.nextInt();
            full[i] = in;
            kbuff.add(in);
            if (kbuff.size() > k) {
                kbuff.pop();
                List<Integer> ints = kbuff.stream().collect(Collectors.toList());
                ints.sort(Integer::compareTo);
                int baseK = ints.get(m-1);
                if (baseK > prevK)
                    prevK = baseK;
            }
        }
        int b = prevK;
        System.out.println(Arrays.stream(full).filter(e -> e > b).sum()-b);
    }
}
