package com.company;

import java.util.Arrays;
import java.util.Scanner;

public class Main6 {

    public static void main(String[] args) {
        Scanner s = new Scanner(System.in);
        int n = s.nextInt();
        int k = s.nextInt();
        int m = s.nextInt();

        int[] cells = new int[n];

        for (int i = 0; i < n; i++) {

            cells[i] = s.nextInt();

        }

        int max = Integer.MIN_VALUE;

        for (int i = 0; i < cells.length; i++) {

            int[] temp = cells.clone();

            for (int j = 0; j < cells.length; j++) {

                if (temp[j] <= cells[i]) temp[j] = 0;

            }

            if (check(k, m, temp) && Arrays.stream(temp).sum() - cells[i] > max) {
                max = Arrays.stream(temp).sum() - cells[i];
            }

        }

        System.out.println(max);

    }

    public static boolean check(int k, int m, int[] cells) {

        for (int i = 0; i <= cells.length - k; i++) {

            int r = 0;

            for (int j = 0; j < k; j++) {

                if (cells[i + j] == 0) r++;

            }

            if (r < m) return false;

        }

        return true;

    }

}
