package com.company;

import java.lang.reflect.Array;
import java.util.ArrayList;
import java.util.Scanner;

public class Main {

    static ArrayList<Integer>[] factor (int n){
        ArrayList<Integer> nums = new ArrayList<>();

        int d = 2;

        while(d*d <= n){
            if (n % d == 0){
                nums.add(d);
                n /= d;
            }else {if(d == 2) d = 3;
            else d+=2;}
        }

        nums.add(n);

        ArrayList<Integer> quan = new ArrayList<>();

        int k = nums.get(0);

        int count = 0;

        for (int i = 0; i < nums.size(); i++) {
            if (nums.get(i) == k)
            {
                count ++;
            }
            else
            {
                quan.add(count);
                count = 0;
                k = nums.get(i);
                i --;
            }
        }

        quan.add(count);
        return new ArrayList[]{nums, quan};
    }

    static ArrayList<int[]> getWithGivenMinuses (int l, ArrayList<Integer> quan, int ind, int k, int used){
        int s = 0;
        for (int i = ind; i <quan.size(); i++) {
            s += quan.get(i);
        }

        if (k-used > s) return new ArrayList<>();

        if (k == used){
            ArrayList<int[]> arr = new ArrayList<>();
            arr.add(new int[l]);

            return arr;
        }
        if (ind == quan.size()-1){
            int[] A = new int[l];

            for (int i = 0; i <k; i++) {
                A[i] = 1;
            }

            ArrayList<int[]> arr = new ArrayList<>();
            arr.add(A);

            return arr;
        }

        ArrayList<int[]> res = new ArrayList<>();

        for (int i = 0; i <=quan.get(ind); i++) {
            for (int j = 0; j <getWithGivenMinuses(l, quan, ind+1, k, used+i).size(); j++) {
                int[] A = new int[s];

                int[] B = getWithGivenMinuses(l, quan, ind+1, k, used+i).get(j);

                for (int m = 0; m <i; m++) {
                    A[m] = 1;
                }

                for (int m = quan.get(ind); m < s; m++) {
                    A[m] = B[m-quan.get(ind)];
                }

                res.add(A);
            }
        }

        return res;
    }

    public static void main(String[] args) {
	// write your code here

        Scanner in = new Scanner(System.in);

        int n = in.nextInt();

        int st = (n>0) ? 0 : 1;

        ArrayList nums = factor(n)[0];
        ArrayList quan = factor(n)[1];

        ArrayList<int[]> Res = new ArrayList<>();

        for (int i = st; i <= nums.size(); i += 2) {
            Res.addAll(getWithGivenMinuses(nums.size(), quan, 0, i, 0));
        }

        for (int i = 0; i < Res.size(); i++) {
            for (int j = 0; j < nums.size(); j++) {
                if (Res.get(i)[j] == 1){
                    System.out.print("-");
                }
                System.out.print(nums.get(j));
                if (j < nums.size()-1) System.out.print(" ");
            }
            System.out.println();
        }
    }
}
