package com.company;

import java.util.ArrayList;
import java.util.Scanner;

public class Main {

    public static boolean correct(int a[], int active, int k, int m) {

        for (int i = 0; i < a.length ; i+=k) {
            int zeroNumber = 0;
            for (int j = i; j < i + k; j++) {
                if (a[j] <= active) {
                    zeroNumber++;
                }
            }
            if (zeroNumber < m) {
                return false;
            }
        }
        return true;
    }

    public static int count(int a[], int active) {
        int ans = 0;
        for (int i = 0; i < a.length; i++) {
            if (a[i] > active) {
                ans += a[i];
            }
        }
        return ans;
    }


    public static void main(String[] args) {
        Scanner s = new Scanner(System.in);
        int n = s.nextInt();
        int k = s.nextInt();
        int m = s.nextInt();
        int a[] = new int[n];

        ArrayList<Integer> sums = new ArrayList<>();
        for (int i = 0; i < n; i++) {
            a[i] = s.nextInt();
        }


        for (int i = 0; i < a.length; i++) {
            int active = a[i];

            if (correct(a, active, k, m)) {
                sums.add(count(a, active) - active);
            }
        }


        int ans = Integer.MIN_VALUE;
        for (int i = 0; i < sums.size(); i++) {
            if (sums.get(i) > ans) {
                ans = sums.get(i);
            }
        }
        System.out.println(ans);
    }
}
