import itertools

N = int(input())


def factorize(n):
    variants = []
    prime = 2
    while prime * prime <= n:
        while n % prime == 0:
            variants.append(prime)
            n = n // prime
        prime += 1
    if abs(n) > 1:
        variants.append(n)
    return variants


def count_each(ms):
    counter = {}
    for e in ms:
        if e in counter:
            counter[e] += 1
        else:
            counter[e] = 1
    return counter


def gen_pairs(fczd, idd):
    was = []
    for pair in itertools.combinations([idx for idx in range(len(fczd))], idd):
        new_pair = [-e if i in pair else e for i, e in enumerate(fczd)]
        counted = count_each(new_pair)
        if counted not in was:
            was.append(counted)
            print(*new_pair)


pos_factorized = factorize(abs(N))

if N > 0:
    print(*pos_factorized)

    for idd in range(2, len(pos_factorized)+1, 2):
        gen_pairs(pos_factorized, idd)
else:

    for idd in range(1, len(pos_factorized) + 1, 2):
        gen_pairs(pos_factorized, idd)
