package olimp;

import java.util.Scanner;

public class Main2 {
	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		int n = sc.nextInt();
		int k = sc.nextInt();
		int m = sc.nextInt();
		long[] a = new long[n];
		for(int i = 0; i < n; i++) {
			a[i] = sc.nextLong();
		}
		sc.close();
		
		long maxMin = 0;
		for(int i = 0; i < n - k + 1; i++) {
				long min = findMin(a, i, i+k, m);

				if(maxMin < min) {
					maxMin = min;
				}
		}
		
		for(int i = 0; i < a.length; i++) {
			if(a[i] <= maxMin) {
				a[i] = 0;
			}
		}
		
		long sum = 0;
		
		for(long l : a) {
			sum+=l;
		}
		System.out.println(sum - maxMin);
	}

	private static long findMin(long[] a,int from,int to, int m) {
		long lastmin = 0;
		for(int x  = 0; x < m; x++)
		{
			long min = Long.MAX_VALUE;
			int index = -1;
			for(int i = from; i < to; i++) {
				long l = a[i];
				if(l < min && l > lastmin) {
					min = l;
					index = i;
				}
			}
			if(x == m - 1) return min;
			lastmin = min;
		}
		return 0;
	}
}
