
def check(coins, k, m):
    for i in range(len(coins)-k+1):
        tmp = coins[i:i+k]
        v = 0
        for j in tmp:
            if j == 0:
                v += 1
        if v < m:
            return False
    return True


def solve():
    n, k, m = map(int, input().split())
    coins = list(map(int, input().split()))
    a, b = min(coins), max(coins)
    res = -float("INF")
    while a <= b:
        mid = (a+b) // 2
        new_coins = [0 if x <= mid else x for x in coins]
        if check(new_coins, k, m):
            res = max(res, sum(new_coins) - mid)
            b = mid - 1
        else:
            a = mid + 1
    print(res)


if __name__ == "__main__":
    solve()

