
def check(coins, k, m, bound):
    v = 0
    s = 0
    for i in range(k):
        if coins[i] <= bound:
            v += 1
        else:
            s += coins[i]

    if v < m:
        return False, 0

    for i in range(1, len(coins)-k+1):
        if coins[i-1] <= bound:
            v -= 1
        if coins[i+k-1] <= bound:
            v += 1
        else:
            s += coins[i+k-1]
        if v < m:
            return False, 0
    return True, s

    # for i in range(len(coins)-k+1):
    #     tmp = coins[i:i+k]
    #     v = 0
    #     for j in tmp:
    #         if j == 0:
    #             v += 1
    #     if v < m:
    #         return False
    # return True


def solve():
    n, k, m = map(int, input().split())
    coins = list(map(int, input().split()))
    a, b = 1, 10**9
    res = -float("INF")
    while a <= b:
        mid = (a+b) // 2
        c, s = check(coins, k, m, mid)
        if c:
            res = max(res, s - mid)
            b = mid - 1
        else:
            a = mid + 1
    print(res)


if __name__ == "__main__":
    solve()

