def quicksort(lst):
    if len(lst) < 2:
        return lst
    else:
        pivot = lst[0]
        less = [i for i in lst[1:] if i <= pivot]
        greater = [i for i in lst[1:] if i > pivot]
        return quicksort(less) + [pivot] + quicksort(greater)


n, k, m = map(int, input().split())
cells = list(map(int, input().split()))
border = 0
for i in range(0, n - k + 1):
    arr = quicksort(cells[i:i + k])
    #print(arr)
    if arr[m - 1] > border:
        border = arr[m - 1]
cells = [i if i > border else 0 for i in cells]
print(sum(cells) - border)
