﻿#include <iostream>
#include <cmath>
#include <vector>
#include <string>
#include <algorithm>
using namespace std;
bool is_prime(long long n) {
    n = abs(n);
    for (long long i = 2; i < sqrt(n) + 1; i++) {
        if (n % i == 0) {
            return false;
        }
    }
    return true;
}
int main()
{
    long long n;
    cin >> n;
    vector<long long> divs;
    vector<vector<long long>> ways;
    if (is_prime(n)) {
        cout << n;
        return 0;
    }
    bool neg = n < 0;
    n = abs(n);
    while (n % 2 == 0) {
        divs.push_back(2);
        n /= 2;
    }
    long long i = 3;
    while (n > 1) {
        if (is_prime(i)) {
            while (n % i == 0) {
                divs.push_back(i);
                n /= i;
            }
        }
        i += 2;
    }
    for (long long _key = 0; _key < pow(2, divs.size()); _key++) {
        vector<long long> way;
        long long key = _key;
        long long pop = 0;
        while (key > 0) {
            pop += key % 2;
            key /= 2;
        }
        key = _key;
        if (neg) {
            if (pop % 2 == 1) {
                for (i = 0; i < divs.size(); i++) {
                    if (key % 2 == 1) {
                        way.push_back(divs[i] * -1);
                    }
                    else {
                        way.push_back(divs[i]);
                    }
                    key /= 2;
                }
            }
        }
        else {
            if (pop % 2 == 0) {
                for (i = 0; i < divs.size(); i++) {
                    if (key % 2 == 1) {
                        way.push_back(divs[i] * -1);
                    }
                    else {
                        way.push_back(divs[i]);
                    }
                    key /= 2;
                }
            }
        }
        bool found = false;
        if (!way.empty()) {
            for (vector<long long> ww : ways) {
                bool not_ok = true;
                for (i = 0; i < way.size(); i++) {
                    bool done = false;
                    for (long long j = 0; j < ww.size() && !done; j++) {
                        if (way[i] == ww[j]) {
                            ww[j] = 0;
                            done = true;
                        }
                    }
                }
                for (long long j : ww) {
                    if (j != 0) {
                        not_ok = false;
                        break;
                    }
                }
                if (not_ok) {
                    found = true;
                    break;
                }
            }
            if (!found) {
                for (long long i : way) {
                    cout << i << ' ';
                }
                cout << endl;
                ways.push_back(way);
            }
        }
    }
    return 0;
}