#include <iostream>
#include <vector>
#include <set>
#include <map>
#include <algorithm>
#include <iomanip>

using namespace std;

int solve();

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

#ifdef DEBUG
    freopen("input.txt", "r", stdin);
        freopen("output.txt", "w", stdout);
#endif

    solve();
}


int solve(){
    int n, a, b;
    cin >> n >> a >> b;
    vector<vector<int>> a1(n, vector<int> (n));
    int k = (n - 1) / 2;
    for (int i = 0; i < n; i++){
        for (int j = 0; j < n; j++){
            int r = abs(j - k) + abs(i - k);
            if (r <= b && r >= a){
                a1[i][j] = 1;
            }
        }
    }
    for (auto &i : a1){
        for (int &j : i){
            if (j == 0){
                cout << '.';
            }
            else{
                cout << '*';
            }
        }
        cout << endl;
    }
    return 0;
}
