n = int(input())

if not 1 <= n <= 100:
	exit()

x = []
for _ in range(n):
	s = input()
	if not 3 <= len(s) <= 1000:
		exit()
	x.append(s)

counts = {
	"RR": 0,
	"RG": 0,
	"RB": 0,
	"GR": 0,
	"GG": 0,
	"GB": 0,
	"BR": 0,
	"BG": 0,
	"BB": 0,
}

for i in range(n):
	for c in "RGB":
		for b in "RGB":
			pair = c+b
			counts[pair] += x[i].count(pair)

pairs, count = [], max(counts.values())
for k, v in counts.items():
	if v == count:
		pairs.append(k)

for p in pairs:
	print(p)