﻿#include <iostream>
#include <vector>
#include <math.h>

using namespace std;
using ll = long long;

bool is_prime(int n)
{
    if (n == 2)
        return true;
    if (n % 2 == 0)
        return false;

    for (int i = 3; i <= sqrt(n); i++)
        if (n % i == 0)
            return false;

    return true;
}

int main()
{
    vector<int> k;
    int j; cin >> j;
    int n = abs(j);
    while (n != 1)
    {
        for (int i = 2; i <= n; i++)
        {
            if (!is_prime(i) || n % i)
                continue;

            k.push_back(i);
            n /= i;
            i--;
        }
    }

    for (auto i : k)
        cout << i << " ";

    // vector<pair<int, int>> g;
}

