#include <iostream>

typedef unsigned long long ULLONG;
typedef long long LLONG;

int main( void )
{
	ULLONG n, k, m, *boxes, *tmpboxes;	

	std::cin >> n;
	std::cin >> k;
	std::cin >> m;
	boxes = new ULLONG[(int)n];
  tmpboxes = new ULLONG[(int)n];
	for (int i = 0; i < n; i++)
		std::cin >> boxes[i];

	LLONG max_win = 0, cur_win;
	bool is_win_eval = false;
	for (ULLONG i = 0; i < n; i++)
	{
		memcpy(tmpboxes, boxes, sizeof(ULLONG) * n);
		ULLONG b = tmpboxes[i];
		
		for (ULLONG j = 0; j < n; j++)
			if (tmpboxes[j] <= b)
				tmpboxes[j] = 0;
		bool is_ok = true;
		for (ULLONG j = 0; j < n; j += k)
		{
			ULLONG empty = 0;
			for (ULLONG a = 0; a < k; a++)
				if (tmpboxes[(j + a) % n] == 0)
				  empty++;
			if (empty < m)
			{
				is_ok = false;
				break;
			}
		}
		if (is_ok)
		{
      cur_win = 0;
			for (ULLONG j = 0; j < n; j++)
				cur_win += tmpboxes[j];
			cur_win -= b;
      if (!is_win_eval || cur_win > max_win)
			{ 
				max_win = cur_win;
				is_win_eval = true;
			}
		}
	}

	std::cout << max_win;

	delete[] boxes;
  delete[] tmpboxes;
	return 0;
}