#include <iostream>
#include <vector>
#include <set>
#include <cmath>
#include <algorithm>

using namespace std;

vector<long long> L;
int n, k, m;

bool check(long long x) {
    int cnt = 0;
    for (int i = 0; i < k; i++) {
        if (L[i] <= x) {
            cnt++;
        }
    }
    if (cnt < m) {
        return false;
    }
    for (int i = 1; i <= n - k; i++) {
        if (L[i - 1] <= x) {
            cnt--;
        }
        if (L[i + k - 1] <= x) {
            cnt++;
        }
        if (cnt < m) {
            return false;
        }
    }
    return true;
}


int main() {
    long long r, l, ma = 0, cen, min_b, su = 0, v;
    cin >> n >> k >> m;
    L.resize(n);
    for (int i = 0; i < n; i++) {
        cin >> L[i];
        if (L[i] > ma) {
            ma = L[i];
        }
    }
    r = ma;
    l = 0;
    while (r - l > 1) {
        cen = (r + l) / 2;
        if (check(cen)) {
            r = cen;
        }
        else {
            l = cen;
        }
    }
    min_b = r;
    /*sort(L.begin(), L.end());
    r = n - 1;
    l = -1;
    while (r - l > 1) {
        cen = (r + l) / 2;
        if (L[cen] >= min_b) {
            r = cen;
        }
        else {
            l = cen;
        }
    }
    for (int i = n - 1; i >= r + 1; i--) {
        su += L[i];
        if (v < su - L[i]) {
            v = su - L[i];
        }
    }
    cout << v;*/
    for (long long i : L) {
        if (i > min_b) {
            su += i;
        }
    }
    cout << su - min_b << '\n';
}