#if 1

#define DEBUG 0

#include <iostream>
#include <vector>
#include <fstream>
#include <string>

using namespace std;

#if DEBUG
int runs = 1;
ifstream input("ProblemA/in.txt");
ofstream output("ProblemA/out.txt");
#else
int runs = 1;
istream &input = std::cin;
ostream &output = std::cout;
#endif


int main()
{
	while (runs-- > 0)
	{
		int n, a, b;
		input >> n >> a >> b;

		int c = n / 2;
		for (int j = 0; j < n; j++)
		{
			for (int i = 0; i < n; i++)
			{
				int dist = abs(c - i) + abs(c - j);
				if (b >= dist && dist >= a)
					output << "*";
				else
					output << ".";
			}
			output << "\n";
		}
	}
	return 0;
}

#endif
