#if 1

#define DEBUG 0

#include <iostream>
#include <vector>
#include <fstream>
#include <string>
#include <cmath>

using namespace std;

#if DEBUG
int runs = 1;
ifstream input("ProblemA/in.txt");
ofstream output("ProblemA/out.txt");
#else
int runs = 1;
istream &input = std::cin;
ostream &output = std::cout;
#endif


int main()
{
	while (runs-- > 0)
	{
		int n;
		input >> n;

		vector<int> gym(n);
		for (int i = 0; i < n; i++)
			input >> gym[i];

		int gain = 0;
		for (int i = 0; i < n; i++)
		{
			int x, y;
			input >> x >> y;

			if (gym[i])
				gain += std::max(y - x, 0);
		}

		output << gain << "\n";

	}
	return 0;
}

#endif
