#include <iostream>
#include <algorithm>
#include <map>
#include <vector>
#include <cmath>

using namespace std;

vector<pair<int, int>> vcounts;
map<int, int> counts2;
int has_minus = 0;

void foo(int s, int k) {
  if (k == vcounts.size()) {
    if (s % 2 == has_minus) {
      for (auto x : vcounts) {
        int tmp = counts2[x.first];
        for (int i = 0; i < x.second; i++) {
          if (tmp > 0)
            tmp--, cout << -x.first << " ";
          else
            cout << x.first << " ";
        }
      }
      cout << endl;
    }
    return;
  }
  
  pair<int, int> p = vcounts[k];

  for (int x = 0; x <= p.second; x++) {
    counts2[p.first] = x;
    foo(s + x, k + 1);
  }
}

int main() {
  int n;
  cin >> n;
  map<int, int> counts;

  if (n < 0)
    has_minus = 1, n = -n;

  int x = 2, nn = n;
  while (x * x <= n) {
    if (nn % x == 0) {
      if (counts.find(x) == counts.end())
        counts[x] = 0;
      counts[x]++;
      nn /= x;
    }
    else {
      x++;
    }
  }
  if (nn != 1)
    counts[n] = 1;

  for (auto y : counts) {
    vcounts.emplace_back(y.first, y.second);
    counts2[y.first] = 0;
  }

  foo(0, 0);

  return 0;
}
