﻿#include <iostream>
#include <algorithm>
#include <math.h>
#include <vector>
#include <string>
#include <map>
#include <set>

using namespace std;
typedef long long ll;

#define fi(n) for (int i = 0; i < (n); i++)
#define fj(n) for (int j = 0; j < (n); j++)

bool is_prime(int n)
{
	for (int i = 2; i <= sqrt(n); i++)
		if (n % i == 0)
			return false;
	return true;
}

int main()
{
	int n;
	cin >> n;

	vector<int> mnoj;
	
	int i = 2;
	while (!is_prime(n)) {
		while (n % i == 0) {
			mnoj.push_back(i);
			n /= i;
		}
		i++;
	}
	if (n != 1)
		mnoj.push_back(n);

	for (auto m: mnoj) {
		cout << m << ' ';
	}

}