#if 1
#include <iostream>
#include <map>
#include <vector>
#include <cmath>
#include <algorithm>
using namespace std;

typedef long long ll;

map<int, int> pp;
vector<int> used;

void print()
{
	auto it = pp.begin();
	for (int i = 0; i < pp.size(); i++, it++)
	{
		const int v = it->first;
		for (int j = 0; j < used[i]; ++j)
			cout << '-' << v << ' ';
		const int end = it->second - used[i];
		for (int j = 0; j < end; ++j)
			cout << v << ' ';
	}
	cout << '\n';
}

template<typename Type>
void req(const int idx, Type tmp, const int c, const int m, const int size) {
	if (idx >= size)
	{
		if (c == m)
			print();
		return;
	}
	if (c == m)
	{
		print();
		return;
	}

	int sum = c;
	int amount = tmp->second;
	tmp++;
	req(idx + 1, tmp, sum, m, size);
	while (sum < m && used[idx] < amount)
	{
		used[idx]++;
		sum++;
		req(idx + 1, tmp, sum, m, size);
	}
	used[idx] = 0;
	tmp--;
}

int main()
{
	ios::sync_with_stdio(false); cout.tie(0); cin.tie(0);
	int n; cin >> n;
	bool minus = n < 0;
	if (minus) n = -n;
	int mm = min(int(sqrt(n)) + 4, n - 1);
	int size = 0;
	while (n % 2 == 0)
	{
		pp[2]++;
		size++;
		n /= 2;
	}
	for (int i = 3; i <= mm; i += 2)
		while (n % i == 0)
		{
			pp[i]++;
			size++;
			n /= i;
		}
	used.resize(pp.size(), 0);

	if (minus)
		for (int i = 1; i <= size; i += 2)
			req(0, pp.begin(), 0, i, pp.size());
	else
		for (int i = 0; i <= size; i += 2)
			req(0, pp.begin(), 0, i, pp.size());
	if (size == 0)
		cout << n << '\n';

	return 0;
}
#endif // 0
