#if 1
#include <iostream>
#include <map>
#include <vector>
#include <algorithm>
using namespace std;

typedef long long ll;

template<typename Type>
void get_b_cnt(int& cnt, int& b, const int m, Type start, Type end)
{
	vector<int> sorted(start, end);
	sort(sorted.begin(), sorted.end());
	b = max(sorted[m - 1], b);
	cnt = m;
	for (int i = m; i < sorted.size(); ++i)
		cnt += sorted[i] <= b;
}

int main()
{
	ios::sync_with_stdio(false); cout.tie(0); cin.tie(0);
	int n, k, m; cin >> n >> k >> m;
	vector<int> arr(n);
	for (int i = 0; i < n; ++i)
		cin >> arr[i];
	int cnt, b = 0;
	get_b_cnt(cnt, b, m, arr.begin(), arr.begin() + k);

	for (int i = 1; i + k <= n; i++)
	{
		if (arr[i - 1] <= b)
			cnt--;
		if (arr[i + k - 1] <= b)
			cnt++;
		if (cnt < m)
			get_b_cnt(cnt, b, m, arr.begin() + i, arr.begin() + i + k);
	}

	ll ans = 0;
	for (int i = 0; i < n; i++)
		if (arr[i] > b)
			ans += arr[i];
	cout << ans - b << '\n';
	return 0;
}
#endif // 0
