//codeforces: JustNik77

#include <iostream>
#include <vector>
#include <algorithm>
#include <queue>
#include <cmath>
#include <set>
#include <stack>
#include <bitset>
#include <map>
#include <ctime>
#include <numeric>
#include <random>
#include <cassert>
#include <cstring>
 
#define int long long
#define uint unsigned long long
#define double long double
#define INF (int) 1e18 / 2

using namespace std;
 
mt19937 rnd(1337);

const int N = 205;
char c[N][N];

void solve() {
	fill(&c[0][0], &c[0][0] + N * N, '.');
	int n, a, b;
	cin >> n >> a >> b;
	int m = n / 2 + 1;
	for (int i = 1; i <= n; i++) {
	    for (int j = 1; j <= n; j++) {
	        int d = abs(i - m) + abs(j - m);
	       // cout << i << " " << j << " " << d << '\n';
	        if (a <= d && d <= b) {
	            c[i][j] = '*';
	        }
	    }
	}
	for (int i = 1; i <= n; i++) {
		for (int j = 1; j <= n; j++) {
			cout << c[i][j];
		}
		cout << '\n';
	}
}

int32_t main() {
	solve();
}