//codeforces: JustNik77

#include <iostream>
#include <vector>
#include <algorithm>
#include <queue>
#include <cmath>
#include <set>
#include <stack>
#include <bitset>
#include <map>
#include <ctime>
#include <numeric>
#include <random>
#include <cassert>
#include <cstring>
 
#define int long long
#define uint unsigned long long
#define double long double
#define INF (int) 1e18 / 2

using namespace std;
 
mt19937 rnd(1337);


void solve() {
	int n;
	cin >> n;
	vector<int> a(n), b(n), c(n);
	for (int &i : a) cin >> i;
	for (int i = 0; i < n; i++) {
	    cin >> b[i] >> c[i];
	}
	int ans = 0;
	for (int i = 0; i < n; i++) {
	    ans += max(0ll, a[i] * (c[i] - b[i]));
	}
	cout << ans << '\n';
}

int32_t main() {
	solve();
}