import itertools


def check_simple_n(n):
    for i in range(2, n + 1):
        if n % i == 0 and i < n:
            return False
    return True


def find_simple_delimiters(n):
    output = []
    for i in range(2, n + 1):
        if n % i == 0 and check_simple_n(i):
            output.extend([i, -i])
    return output


def prod(array):
    result = array[0] if len(array) > 1 else 0
    for i in range(1, len(array)):
        result *= array[i]
    return result


def main():
    n = int(input())
    d = find_simple_delimiters(n)  # delimiters
    output = []
    for r in range(2, len(d) + 1):
        for comb in itertools.combinations_with_replacement(d, r=r):
            if prod(list(comb)) == n and sorted(list(comb)) not in output:
                output.append(list(comb))
    print('\n'.join([' '.join(map(str, x)) for x in output]))


if __name__ == '__main__':
    main()