#include <iostream>
#include <vector>
#include <algorithm>
#include <math.h>
#include <cmath>
#include <set>
#include <map>
#include <iomanip>
#include <string>
typedef long long ll;
typedef unsigned long long ull;
using namespace std;


int main() {
	cin.tie(0);
	cout.tie(0);
	ios_base::sync_with_stdio(0);
	ll n, k, m;
	cin >> n >> k >> m;
	vector<ll> v(n);
	for (int i = 0; i < n; i++) cin >> v[i];
	for (int i = 0; i < k - 1; i++) {
		v.push_back(v[i]);
	}
	ll ans = -100000000000, l = 0, r = 25;
	while (r - l > 1) {
		ll mid = (l + r) / 2;
		ll now = 0, count = 0;
		for (int i = 0; i < k; i++) {
			if (v[i] <= mid) count++;
			else now += v[i];
		}
		if (count < m) {
			l = mid;
			continue;
		}
		bool f = true;
		for (int i = k; i < v.size(); i++) {
			if (v[i] <= mid) count++;
			else if(i < n) now += v[i];

			if (v[i - k] <= mid) count--;
			if (count < m) {
				l = mid;
				f = false;
				break;
			}
		}
		if (f) {
			r = mid;
			ans = max(ans, now - mid);
		}
	}
	cout << ans;
}