#include <iostream>
#include <vector>
#include <algorithm>
#include <set>

using namespace std;

typedef long long ll;
typedef long double ld;

int main() {

	ll n, k, m;
	cin >> n >> k >> m;
	vector<ll> a(n), b;
	set<ll> q;
	for (ll i = 0; i < n; ++i) {
		cin >> a[i];
		q.insert(a[i]);
	}

	for (auto el : q) {
		b.push_back(el);
	}
	sort(b.begin(), b.end());

	ll l = -1, r = b.size() - 1;
	while (r - l > 1) {

		ll mid = (l + r) / 2;

		bool f = true;
		ll balance = 0;
		for (ll i = 0; i < n; ++i) {

			if (a[i] <= b[mid]) {
				balance++;
			}

			if (i >= k && a[i - k] <= b[mid]) {
				balance--;
			}

			if (i >= k - 1 && balance < m) {
				f = false;
			}
		}

		if (f) {
			r = mid;
		}
		else {
			l = mid;
		}
	}

	ll sum = 0;
	for (ll i = 0; i < n; ++i) {
		if (a[i] > b[r]) {
			sum += a[i];
		}
	}

	cout << sum - b[r];
}
