//
// Created by dannu on 13.12.2021.
//
#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
vector <vector <int>> res;


void gen(int cur_ind, vector<int> &pows, vector <int> &cur, int cur_sum, int needed) {
    if (pows.size() == cur_ind + 1) {
        for (int j = 0; j <= pows.back(); j ++) {
            if ((cur_sum + j) % 2 == needed) {
                cur.push_back(j);
                res.push_back(cur);
                cur.pop_back();
            }
        }
        return;
    }
    cur.push_back(0);
    gen(cur_ind + 1, pows, cur, cur_sum, needed);
    for (int i = 1; i <= pows[cur_ind]; i ++) {
        cur.back() = i;
        gen(cur_ind + 1, pows, cur, cur_sum + i, needed);
    }
}

void solve() {
    int n; cin >> n;
    unordered_map <int, int> divs;
    bool neg = (n < 0);
    for (int i = 2; i <= sqrt(n); i ++) {
        if (n % i == 0) divs[i] = 0;
        while (n % i == 0) divs[i] ++, n /= i;
    }
    if (n != 1) divs[n] = 1;
    vector <int> prime;
    vector <int> prime_pows;
    for (auto i : divs) {
        prime.push_back(i.first);
        prime_pows.push_back(i.second);
    }
    vector <int> cur;
    int needed = 0;
    if (neg) {
        needed = 1;
    }
    gen(0, prime_pows, cur, 0, needed);
    for (auto &i : res) {
        for (int pi = 0; pi < prime.size(); pi ++) {
            for (int j = 0; j < i[pi]; j ++) cout << -prime[pi] << ' ';
            for (int j = i[pi]; j < prime_pows[pi]; j ++) cout << prime[pi] << ' ';
        }
        cout << '\n';
    }
}


int main() {
    int t = 1;
    //cin >> t;
    while (t--) {
        solve();
        cout << '\n';
    }
}