def get_dist(item, other) -> int:
    return abs(item[0] - other[0]) + abs(item[1] - other[1])


n = int(input())
a = int(input())
b = int(input())

center = (n // 2, n // 2)

row = ["." for _ in range(n)]
table = [row.copy() for _ in range(n)]

for y in range(n):
    for x in range(n):
        dist = get_dist((x, y), center)
        if b >= dist >= a:
            table[y][x] = "*"

for i in table:
    print(''.join(i))
