#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <set>

using namespace std;

int n, m, k;

bool check(int mid, vector<int> &b) {
    int x = 0;
    for (int i = 0; i < k; i++) {
        if (b[i] <= mid) {
            b[i] = 0;
        }
        if (b[i] == 0) {
            x++;
        }
    }
    if (x < m) {
        return false;
    }
    for (int i = k; i < n; i++) {
        if (b[i - k] == 0) {
            x--;
        }
        if (b[i] <= mid) {
            b[i] = 0;
        }
        if (b[i] == 0) {
            x++;
        }
        if (x < m) {
            return false;
        }
    }
    return true;
}

int main() {
    cin >> n >> k >> m;
    int l = 1e9, r = 1, mid;
    vector<int> a(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
        if (a[i] < l) {
            l = a[i];
        }
        if (a[i] > r) {
            r = a[i];
        }
    }
    l--;
    vector<int> b;
    b = a;
    while (r - l > 1) {
        mid = (r + l) / 2;
        b = a;
        //cout << l << " " << mid << " " << r << " " << check(mid, b) <<  "\n";
        if (check(mid, b)) {
            r = mid;
        }
        else {
            l = mid;
        }
    }
    int ans = -r;
    //cout << r << "\n";
    for (int i = 0; i < n; i++) {
        if (a[i] > r) {
            ans += a[i];
        }
    }
    cout << ans << "\n";
    return 0;
}
