#include <iostream>
#include <cmath>
#include <vector>
#define int long long

using namespace std;

int n, k, m;


bool check(int f, vector<int> a) {
    for (int i = 0; i < n; i++) {
        if (a[i] <= f) {
            a[i] = 0;
        }
    }
    int count = 0;
    for (int i = 0; i < k; i++) {
        if (a[i] == 0) {
            count++;
        }
    }
    if (count < m) {
        return false;
    }
    for (int i = k; i < n; i++) {
        if (a[i] == 0) {
            count++;
        }
        if (a[i - k] == 0) {
            count--;
        }
        if (count < m) {
            return false;
        }
    }
    return true;
}

int binSearch(int l, int r, vector<int> a) {
    while (r - l > 1) {
        int s = (r + l) / 2;
        if (check(s, a)) {
            r = s;
        } else {
            l = s;
        }
    }
    return r;
}

signed main() {
    cin >> n >> k >> m;
    vector<int> a(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    int b = binSearch(0, 1000000000, a), ans = -b;
    for (int i = 0; i < n; i++) {
        if (a[i] > b) {
            ans += a[i];
        }
    }
    cout << ans;
}
