// author : kratos0-f
#include <bits/stdc++.h>
#define ll long long
#define ull unsigned long long

using namespace std;

const ll mINF = -1000000000;

ll check_sum(vector<ll> arr, ll b, ll k, ll m){
    ll result = 0;
    for (auto i : arr){
        if (i > b) {
            result += i;
        }
    }

    //     k    m
    ll count = 0;
    for (ll i = 0; i < k; i++){
        if (arr[i] <= b) count ++;
    }
    if (count < m) {
        return mINF;
    }
    for (ll i = k; i < arr.size(); i++){
        if (arr[i] <= b) count ++;
        if (arr[i-k] <= b) count --;
        if (count < m){
            return mINF;
        }
    }

    return result-b;
}

int main(){
    cin.tie(NULL);
    ios_base::sync_with_stdio(false);

    ll n, k, m;
    cin >> n >> k >> m;
    vector<ll> arr(n);
    for (ll i = 0; i < n; i++)cin >> arr[i];

    vector<ll> sums(n);
    for (ll i = 0; i < n; i++){
        sums[i] = check_sum(arr, arr[i], k, m);
    }


    ll max = sums[0];
    for (auto i : sums) {
        if (i > max) max = i;
    }
    cout << max;
    return 0;
}
