import java.io.*;
import java.util.StringTokenizer;

public class Main {
    public static void main(String[] args) {
        MyScanner sc = new MyScanner();
        int n = sc.nextInt();
        String[] jew = new String[n];
        int[] colours = new int[6];
        //0-rg  1-rb  2-gb  3-rr  4-bb  5-gg
        for(int i = 0; i<6;++i) {
            colours[i] = 0;
        }
        for(int i = 0; i<n;++i) {
            jew[i] = sc.nextString();
            String[] pairs = new String[jew[i].length()];
           for (int a = 0;a<jew[i].length();++a) {
               if (a != jew[i].length() - 1) {
                   pairs[a] = jew[i].substring(a, a + 2);
               }
               pairs[jew[i].length() - 1] = jew[i].substring(jew[i].length() - 1) + jew[i].charAt(0);
               //System.out.println(pairs[a]);
               if(pairs[a].equals("RG") || pairs[a].equals("GR")) {
                   colours[0] = colours[0] + 1;
               }
               if(pairs[a].equals("RB") || pairs[a].equals("BR")) {
                   colours[1] = colours[1] + 1;
               }
               if(pairs[a].equals("GB") || pairs[a].equals("BG")) {
                   colours[2] = colours[2] + 1;
               }
               if(pairs[a].equals("RR")) {
                   colours[3] = colours[3] + 1;
               }
               if(pairs[a].equals("BB")) {
                   colours[4] = colours[4] + 1;
               }
               if(pairs[a].equals("GG")) {
                   colours[5] = colours[5] + 1;
               }
          }
        }
        int max = -1;
        for(int i = 0; i<6;++i) {
            if (colours[i]>max) {
                max = colours[i];
            }
        }
        //System.out.println(max);
        if(colours[0]==max) {
            System.out.println("RG");
        }
        if(colours[1]==max) {
            System.out.println("RB");
        }
        if(colours[2]==max) {
            System.out.println("GB");
        }
        if(colours[3]==max) {
            System.out.println("RR");
        }
        if(colours[4]==max) {
            System.out.println("BB");
        }
        if(colours[5]==max) {
            System.out.println("GG");
        }

    }

    public static class MyScanner{
        BufferedReader br;
        StringTokenizer st;
        public MyScanner() {
            br = new BufferedReader(new InputStreamReader(System.in));

        }

        String next(){
            while(st==null || !st.hasMoreElements()) {
                try{
                    st = new StringTokenizer(br.readLine());
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
            return st.nextToken();
        }
        int nextInt() {
            return  Integer.parseInt(next());
        }
        String nextString() {
            String str = "";
            try{
                str = br.readLine();
            } catch (IOException e) {
                e.printStackTrace();
            }
            return str;
        }
    }
}
