﻿#include <iostream>
#include <string>
#include <algorithm>
#include <cmath>
#include <vector>
#include <map>
#include <set>

using namespace std;

typedef long long ll;

bool flag = 0;
set <map <ll, ll>> ans;

void rec(ll cnt_minus, map <ll, ll> cnt, map <ll, ll> cnt_min, ll kol) {
	if (cnt_minus % 2 == flag) {
		for (auto c : cnt)
			if (cnt_min[c.first] == 0)
				cnt_min[c.first] = 0;
		ans.insert(cnt_min);
	}
	ll cnt_var = 0;
	for (auto to : cnt) {
		if (kol == cnt_var && cnt_var <= kol) {
			for (ll i = 0; i <= to.second; ++i) {
				cnt_min[to.first] += i;
				cnt_minus += i;
				rec(cnt_minus, cnt, cnt_min, kol + 1);
				cnt_minus -= i;
				cnt_min[to.first] -= i;
			}
		}
		++cnt_var;
	}
}

vector <ll> bin(ll p) {
	vector <ll> ans;
	for (ll i = 2; i * i <= p; ++i)
		while (p % i == 0) {
			ans.push_back(i);
			p /= i;
		}
	if (p != 1)
		ans.push_back(p);
	return ans;
}

int main() {
	std::ios::sync_with_stdio(false);
	std::ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	ll p; cin >> p;
	if (p < 0)
		flag = 1;
	vector <ll> bi;
	if (p < 0)
		bi = bin(-p);
	else
		bi = bin(p);
	map <ll, ll> cnt_min;
	map <ll, ll> cnt;
	for (auto to : bi)
		++cnt[to];
	rec(0, cnt, cnt_min, 0);
	for (auto to : ans) {
		map <ll, ll> cnt_min = to;
		map <ll, char> used;
		for (auto to2 : cnt_min) {
			for (ll i = 0; i < to2.second; ++i)
				cout << -to2.first << " ";
			for (ll i = to2.second; i < cnt[to2.first]; ++i)
				cout << to2.first << " ";
			used[to2.first] = 1;
		}
		for (auto to2 : cnt)
			if (!used[to2.first])
				for (ll i = 0; i < to2.second; ++i)
					cout << to2.first << " ";
		cout << '\n';
	}
}