#include <iostream>
#include <vector>
#include <algorithm>
#include <stack>
#include <queue>
#include <set>
#include <string>
#include <utility>
#include <cmath>

using namespace std;

#define pb push_back
#define mk make_pair
using ll = long long;
using ull = unsigned long long;
using vi = vector<int>;
using vvi = vector<vi>;
using vb = vector<bool>;

bool check(const vi& arr, int b, int k, int m)
{
    int count = 0;
    for (int i = 0; i < k; ++i)
    {
        if (arr[i] <= b)
            ++count;
    }
    if (count < m)
        return false;
    for (int i = 1; i + k - 1 < arr.size(); ++i)
    {
        if (arr[i - 1] <= b)
            --count;
        if (arr[i + k - 1] <= b)
            ++count;
        if (count < m)
            return false;
    }
    return true;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, k, m;
    cin >> n >> k >> m;
    int max = 0;
    vi arr(n);
    for (int i = 0; i < n; ++i)
    {
        cin >> arr[i];
        if (arr[i] > max)
            max = arr[i];
    }
    int lb = 0, rb = max;
    while (lb + 1 < rb)
    {
        int bm = (lb + rb) / 2;
        if (check(arr, bm, k, m))
            rb = bm;
        else
            lb = bm;
    }
    // cout << rb << endl; // DEBUG
    ll res = 0;
    for (int i = 0; i < n; ++i)
    {
        if (arr[i] > rb)
            res += arr[i];
    }
    cout << res - rb;
    return 0;
}