import java.util.*;

public class E {

    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        int n = scanner.nextInt();
        int sign = Integer.signum(n);
        n = Math.abs(n);
        List<Integer> factorization = factorize(n);
        int size = factorization.size();
        StringBuilder builder = new StringBuilder();
        Set<int[]> arrays = new HashSet<>();
        for (int index = 0; index < 1 << size; index++) {
            int x = index, s = 1;
            int[] array = new int[size];
            for (int i = 0; i < size; i++) {
                array[i] = (x & 1) == 1 ? factorization.get(i) : -factorization.get(i);
                s *= (x & 1) == 1 ? 1 : -1;
                x >>= 1;
            }
            if (s == sign) {
                Arrays.sort(array);
                arrays.add(array);
            }
        }
        for (int[] array : arrays) {
            for (int i : array) builder.append(i).append(" ");
            builder.append("\n");
        }
        System.out.println(builder);
    }

    private static List<Integer> factorize(int x) {
        List<Integer> list = new ArrayList<>();
        int div = 2;
        while (div * div <= x) {
            if (x % div == 0) {
                list.add(div);
                x = x / div;
            }
            else if (div == 2) div = 3;
            else div = div + 2;
        }
        list.add(x);
        return list;
    }
}
