import typing

n = int(input())
a = int(input())
b = int(input())

k = (n - 1) // 2

PointT = typing.Tuple[int, int]

center = (k + 1, k + 1)


def distance(point1: PointT, point2: PointT) -> int:
    return abs(point1[0] - point2[0]) + abs(point1[1] - point2[1])


def in_range(p: PointT) -> bool:
    dis = distance(p, center)
    return a <= dis <= b


matrix = []

for x in range(1, n+1):
    layer = []
    for y in range(1, n+1):
        point = (x, y)
        layer.append("*" if in_range(point) else ".")
    matrix.append(layer)

for la in matrix:
    print("".join(la))
