#include <iostream>
#include <map>
#include <vector>

using namespace std;

int countLength(string s){
    int count = 0;
    for (char c : s) count++;
    return count;
}

int main()
{
    map <string, int> pairs;
    pairs["RR"] = 0;
    pairs["RG"] = 0;
    pairs["RB"] = 0;
    pairs["GG"] = 0;
    pairs["GB"] = 0;
    pairs["BB"] = 0;
    
    int mostAmount = 0;
    vector<string> answers;
    
    int n;
    cin >> n;
    for (int i = 0; i < n; i++){
        string seq;
        cin >> seq;
        int ccount = countLength(seq);
        for (int j = 0; j < ccount; j++){
            char next;
            if (j == ccount - 1) next = seq[0];
            else next = seq[j + 1];
            string current = "";
            if (seq[j] == 'R' && next == 'R') current = "RR";
            else if ((seq[j] == 'R' && next == 'G') || (seq[j] == 'G' && next == 'R')) current = "RG";
            else if ((seq[j] == 'R' && next == 'B') || (seq[j] == 'B' && next == 'R')) current = "RB";
            else if (seq[j] == 'G' && next == 'G') current = "GG";
            else if ((seq[j] == 'G' && next == 'B') || (seq[j] == 'B' && next == 'G')) current = "GB";
            else if (seq[j] == 'B' && next == 'B') current = "BB";
            
            pairs[current]++;
            if (pairs[current] > mostAmount){
                answers.clear();
                answers.push_back(current);
                mostAmount = pairs[current];
            }
            else if(pairs[current] == mostAmount){
                answers.push_back(current);
            }
        }
    }
    
    for (string pair : answers) cout << pair << endl;
    
    return 0;
}

