#include <iostream>
#include <algorithm>
#include <cmath>
#include <vector>
#include <map>
#include <set>
#include <iomanip>
#include <string>

using namespace std;
#define int long long
#define debug(x) cout << #x << " is " << x << '\n';

signed main() {
  ios_base::sync_with_stdio(0);
  cin.tie(0);
  cout << fixed << setprecision(6);
  int n, K, M; cin >> n >> K >> M;
  vector <int> a(n);
  for (auto &x: a) cin >> x;

  int l = 0, r = 1e9 + 7;
  while (l + 1 < r){
    int m = (l + r) / 2;
    int cnt = 0;
    for (int i = 0; i < K - 1; ++i){
      cnt += (a[i] <= m);
    }
    bool OK = true;
    for (int i = K - 1; i < n; ++i){
      cnt += (a[i] <= m);
      if (cnt < M){
        OK = false;
      }
      cnt -= (a[i - K + 1] <= m);
    }
    OK ? r = m : l = m;
  }
  int ans = 0;
  for (auto &x: a){
    ans += x * (x > r);
  }
  cout << ans - r << '\n';
} 