#include <iostream>
#include <vector>
#define int long long
using namespace std;

int n, k, m;
vector<int> a;

int step(int b) {
	int ans = -b;
	int s = 0;
	for(int i = 0; i < k; i++) s += (a[i] < b);
	for(int i = 0; i < a.size(); i++) {
		ans += (a[i] > b) * a[i];
		if(i+k >= a.size()) continue;
		s -= (a[i] <= b);
		s += (a[i+k] <= b);
		if(s < m) return -1000000000;
	}
	return ans;
}

signed main() {
	cin >> n >> k >> m;
	a.resize(n);
	int mx = 0;
	for(int i = 0; i < n; i++) {
		cin >> a[i];
		if(a[i] > mx) mx = a[i];
	}
	int l = -1, r = mx+1;
	while(r-l > 0) {
		int mid1 = l + (r-l)/3;
		int mid2 = l + (r-l)/3*2;
		if(mid1 == l) mid1++;
		if(step(mid1) > step(mid2)) {
			r = mid2;
		} else {
			l = mid1;
		}
	}
	cout << max(step(l), step(l+1));
}