import collections


def make_pair(first, last):
    return "".join(sorted([first, last]))

count = int(input())

comb = collections.defaultdict(int)

buses = []
for _ in range(count):
    buses.append(input())

for buse in buses:
    for i in range(0, len(buse) - 1):
        comb[make_pair(buse[i],  buse[i + 1])] += 1
    comb[make_pair(buse[0],  buse[-1])] += 1
    comb[make_pair(buse[-1], buse[0])] += 1

max_counts = max(comb.values())
such_combs = [pair[0] for pair in comb.items() if pair[1] == max_counts]
printed_combs = []
for res_comb in such_combs:
    if "".join(reversed(res_comb)) in printed_combs:
        continue
    printed_combs.append(res_comb)
    print(res_comb)

