#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <set>
using namespace std;
set<vector<int> > s;
vector<vector<int> > v;
void rec_pol(vector<int> m, int last, vector<int> ind_min){
    if(last == m.size()){
        vector<int> t;
        int cnt_min = 0;
        for(int i = 0; i < m.size(); i++){
            if(ind_min[i] == 1){
                t.push_back(-1 * m[i]);
                cnt_min++;
            }
            else{
                t.push_back(m[i]);
            }
        }
        if(cnt_min % 2 != 0)
            return;
        sort(t.begin(), t.end());
        if(!s.count(t)){
            v.push_back(t);
            s.insert(t);
        }
        return;
    }

    for(int i = last; i < m.size(); i++){
        vector<int> r = ind_min;
        r[i] = 1;
        rec_pol(m, i + 1, r);
        r[i] = 0;
        rec_pol(m, i + 1, r);
    }
}


void rec_neg(vector<int> m, int last, vector<int> ind_min){
    if(last == m.size()){
        vector<int> t;
        int cnt_min = 0;
        for(int i = 0; i < m.size(); i++){
            if(ind_min[i] == 1){
                t.push_back(-1 * m[i]);
                cnt_min++;
            }
            else{
                t.push_back(m[i]);
            }
        }
        if(cnt_min % 2 != 1)
            return;
        sort(t.begin(), t.end());
        if(!s.count(t)){
            v.push_back(t);
            s.insert(t);
        }
        return;
    }

    for(int i = last; i < m.size(); i++){
        vector<int> r = ind_min;
        r[i] = 1;
        rec_neg(m, i + 1, r);
        r[i] = 0;
        rec_neg(m, i + 1, r);
    }
}
int main(){
    int n;
    cin >> n;
    vector<int> m;
    bool is_negative = false;
    if(n < 0){
        is_negative = true;
        n = -n;
    }

    for(int i = 2; i <= n; i++){
        bool prostoe = true;
        for(int j = 2; j < sqrt(n) + 1; j += 2){
            if(i % j == 0){
                prostoe = false;
                break;
            }
        }
        while(n % i == 0){
            n /= i;
            m.push_back(i);
        }
    }
    vector<int> f(m.size(), 0);
    if(is_negative){
        rec_neg(m, 0, f);
    }
    else{
        rec_pol(m, 0, f);
    }
    for(int i = 0; i < v.size(); i++){
        for(int j = 0; j < v[i].size(); j++){
            cout << v[i][j] << " ";
        }
        cout << "\n";
    }
}
