#include <iostream>
#include <vector>
#include <set>
#include <map>
#include <algorithm>
#include <cmath>
#include <iomanip>

using namespace std;

int solve();

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

#ifdef DEBUG
    freopen("input.txt", "r", stdin);
        freopen("output.txt", "w", stdout);
#endif

        solve();
}

map<map<int, int> , bool> used;

void c12(map<int, int> &cnt1, map<int, int> &cnt){
    if (!used[cnt1]) {
        for (auto b = cnt.begin(); b != cnt.end(); b++) {
            int k = b->first, m = b->second, c = cnt1[k];
            int i;
            for (i = 0; i < c; i++) {
                cout << -k << ' ';
            }
            for (i; i < m; i++) {
                cout << k << ' ';
            }
        }
        cout << endl;
        used[cnt1] = true;
    }
}

void v12(int c, map<int, int> cnt1, map<int, int> &cnt, int k){
    if (k < c){
        k++;
        for (auto b = cnt.begin(); b != cnt.end(); b++){
            if (cnt1[b->first] < b->second){
                cnt1[b->first]++;
                v12(c, cnt1, cnt, k);
                cnt1[b->first]--;
            }
        }
    }
    else{
        c12(cnt1, cnt);
    }
}


int solve(){
    int n;
    cin >> n;
    int c = 0;
    if (n < 0){
        n = -n;
        c = 1;
    }
    map<int, int> cnt;
    map<int, int> cnt1;
    int k = sqrt(n);
    vector<int> prd;
    for (int i = 2; i <= k; ){
        if (n % i == 0){
            prd.push_back(i);
            n /= i;
            cnt[i]++;
            cnt1[i] = 0;
        }
        else{
            i++;
        }
    }
    if (n != 1){
        prd.push_back(n);
    }
    while (c < prd.size()){
        auto b = cnt.begin();
        for (b; b != cnt.end(); b++){
            v12(c, cnt1, cnt, 0);
        }
        c += 2;
    }
    return 0;
}
