#include <algorithm>
#include <iostream>
#include <string>
#include <vector>
#include <cmath>

typedef int64_t int64;
using namespace std;

#define isrr 1
#define isbb 2
#define isgg 3
#define isrb 4
#define isrg 5
#define isbg 6

int Cmp(char cur, char next)
{
	if (cur == next)
	{
		if (cur == 'R')
			return isrr;
		if (cur == 'G')
			return isgg;
		if (cur == 'B')
			return isbb;
	}
	if ((cur == 'R' && next == 'G') || (cur == 'G' && next == 'R'))
		return isrg;
	if ((cur == 'R' && next == 'B') || (cur == 'B' && next == 'R'))
		return isrb;
	if ((cur == 'G' && next == 'B') || (cur == 'B' && next == 'G'))
		return isbg;
}
int main(void)
{
	int n; 

	cin >> n;
	vector<string> bus(n);
	int RR = 0;
	int BB = 0;
	int GG = 0;
	int RB = 0;
	int RG = 0;
	int BG = 0;

	//vector<pair<int, int>> mass(n);

	for (int i = 0; i < n; i++)
	{
		cin >> bus[i];
		for (int j = 0; j < bus[i].size(); j++)
		{
			if (j == bus[i].size() - 1)
			{ 
				switch (Cmp(bus[i][0], bus[i][bus[i].size() - 1]))
				{
				case isrr:
					RR++;
					break;
				case isbb:
					BB++;
					break;
				case isgg:
					GG++;
					break;
				case isrb:
					RB++;
					break;
				case isrg:
					RG++;
					break;
				case isbg:
					BG++;
					break;
				}
			}
			else
				switch (Cmp(bus[i][j], bus[i][j + 1]))
				{
				case isrr:
					RR++;
					break;
				case isbb:
					BB++;
					break;
				case isgg:
					GG++;
					break;
				case isrb:
					RB++;
					break;
				case isrg:
					RG++;
					break;
				case isbg:
					BG++;
					break;
			}
		}
	}
	vector<pair<int, int>> res(6);
	res[0] = { RR, isrr };
	res[1] = { GG, isgg };
	res[2] = { BB, isbb };
	res[3] = { RG, isrg };
	res[4] = { RB, isrb };
	res[5] = { BG, isbg };

	sort(res.begin(), res.end());
	
	int i = 5, flag = 0;
	
	while (!flag)
	{
		if ((i == 0) || (res[i].first > res[i - 1].first))
			flag = 1;

		//if ((i >= 1) || ((i == 0) && (res[i])))
		//{
		//	if (i == 0)
		//		flag = 1;
		switch (res[i].second)
		{
		case isrr:
			cout << "RR";
			cout << endl;
			break;
		case isbb:
			cout << "BB";
			cout << endl;
			break;
		case isgg:
			cout << "GG";
			cout << endl;
			break;
		case isrb:
			cout << "RB";
			cout << endl;
			break;
		case isrg:
			cout << "RG";
			cout << endl;
			break;
		case isbg:
			cout << "BG";
			cout << endl;
			break;
		}
		i--;
	}
	return 0;
}