#include <iostream>
#include <vector>

using namespace std;

#define PAR pair<int, int>
#define x first
#define y second

int dist(const PAR& a, const PAR& b) {
    return abs(a.x - b.x) + abs(a.y - b.y);
}

int main()
{
    int n;
    cin >> n;
    int a, b;
    cin >> a >> b;
    PAR center(n / 2, n / 2);
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            PAR point(i, j);
            int d = dist(point, center);
            if (d >= a && d <= b)
                cout << '*';
            else cout << '.';
        }
        cout << '\n';
    }
    return 0;
}
