#include <iostream>
#include <vector>
#include <map>
#include <string>

using namespace std;

#define PAR pair<int, int>
#define x first
#define y second
#define VP vector<PAR>
#define VI vector<int>

pair<char, char> ord_pair(char a, char b) {
    if (a > b)
        return { b, a };
    return { a, b };
}

int main()
{
    int n;
    cin >> n;
    vector<string> vs(n);
    for (int i = 0; i < n; ++i)
        cin >> vs[i];

    map<pair<char, char>, int> freq;
    for (int i = 0; i < n; ++i) {
        freq[ord_pair(vs[i].front(), vs[i].back())]++;
        for (int j = 1; j < vs[i].size(); ++j) {
            freq[ord_pair(vs[i][j], vs[i][j - 1])]++;
        }
    }

    vector<pair<char, char>> ans;
    int max_freq = 0;

    for (auto t : freq) {
        pair<char, char> p = t.first;
        int c = t.second;
        if (c > max_freq) {
            max_freq = c;
            ans.clear();
            ans.push_back(p);
        }
        else if (c == max_freq) {
            ans.push_back(p);
        }
    }

    for (auto p : ans)
        cout << p.first << p.second << endl;

    return 0;
}
