#include <iostream>
#include <cstdlib>
#include <vector>
#include <algorithm>
#include <map>
#include <string>
#include <math.h>

using namespace std;

static void SolveA( void ) {
    int a;
    cin >> a;
    for (int i = 0; i < a / 5; i++)
       cout << "V";
    for (int i = 0; i < a % 5; i++)
       cout << "I";
   cout << endl;
}

static void SolveB( void ) {
  int n, a, b;
  cin >> n >> a >> b;
  vector<vector<char>> F(n, vector<char>(n, '.'));

  for (int i = 0; i < n; i++)
    for (int j = 0; j < n; j++) {
      int c = abs(n / 2 - i) + abs(n / 2 - j);
      if (c >= a && c <= b)
        F[i][j] = '*';
    }

  for (int i = 0; i < n; i++) {
    for (int j = 0; j < n; j++)
      cout << F[i][j];
    cout << '\n';
  }
}

static void SolveC( void ) {
  int n, cur, res = 0;
  cin >> n;
  vector<int> w(n);
  for (auto &i: w)
    cin >> i;

  for (auto &i: w) {
    int x, y;
    cin >> x >> y;   
    cur = y;
    if (i && x < y)
      res += y - x;
  }
  cout << res;
}

static void SolveD( void ) {
  map<string, int> m;
  int n;
  cin >> n;
  for (int i = 0; i < n; i++) {
    string s;
    cin >> s;
    for (int j = 0; j < s.length() - 1; j++) {
      string p;
      if (s[j] < s[j + 1]) {
        p += s[j];
        p += s[j + 1];
      } else {
        p += s[j + 1];
        p += s[j];
      }
      if (m.find(p) == m.end())
        m[p] = 1;
      else
        m[p]++;        
    }
    string p;
    if (s[s.length() - 1] < s[0]) {
      p += s[s.length() - 1];
      p += s[0];
    } else {
      p += s[0];
      p += s[s.length() - 1];
    }
    if (m.find(p) == m.end())
      m[p] = 1;
    else
      m[p]++;
  }
  
  vector<pair<string, int>> res;
  for (auto &i : m)
    res.emplace_back(i);
  sort(res.begin(), res.end(), []( pair<string, int> &a, pair<string, int> &b ){return a.second - b.second > 0;});
  int i = 0; 
  int a = res[i].second;
  cout << res[i++].first << '\n';
    
  while (a == res[i].second)
    cout << res[i++].first << '\n';

}

map<vector<int>, vector<int>> ResE;

void perm2( vector<int> a, int size, int ind )
{
  for (int i = ind; i < size - 1; i++) {
    a[i] = -a[i];
      
    for (int j = i + 1; j < size; j++) {
      a[j] = -a[j];

      if (ind + 2 < size)
        perm2(a, size, j + 1);

      vector<int> acopy;
      acopy.reserve(a.size());
      for (auto v: a)
        acopy.emplace_back(v);
      sort(acopy.begin(), acopy.end());
      ResE.emplace(acopy, acopy);

      a[j] = -a[j];
    }

    a[i] = -a[i];
  }
}

static void SolveE( void ) {
  int n;
  cin >> n;
  vector<int> a;
  int sq = sqrt(abs(n));
  for (int i = 2; i <= sq;)
    if (n / i == (float)n / i)
      a.emplace_back(i), n /= i;
    else i++;

  if (n < 0) {
    for (int i = 0; i < a.size(); i++) {
      a[i] = -a[i];

      vector<int> acopy;
      acopy.reserve(a.size());
      for (auto v: a)
        acopy.emplace_back(v);
      sort(acopy.begin(), acopy.end());
      ResE.emplace(acopy, acopy);

      perm2(a, a.size(), i + 1);

      a[i] = -a[i];
    }
  }
  else  {
    vector<int> acopy;
    acopy.reserve(a.size());
    for (auto v: a)
      acopy.emplace_back(v);
    sort(acopy.begin(), acopy.end());
    ResE.emplace(acopy, acopy);
    perm2(a, a.size(), 0);
  }

  for (auto &m: ResE) {
    for (auto &v: m.second)
      cout << v << ' ';
    cout << '\n';
  }


}

static void Solve( void ) {
}


int main( void ) {
  SolveE();
  return 0;
}