#include <iostream>
#include <vector>

using namespace std;

vector<vector<int>> perm;
vector<int> cur;

void calc(const vector<int> &m, int index, bool c) {
    if (index == m.size()) {
        if (c == 0)
            perm.push_back(cur);
        return;
    }
    for (int i = 0; i <= m[index]; i++) {
        cur[index] = i;
        calc(m, index + 1, (c + i) % 2);
    }
}

int main() {
    int n;
    cin >> n;
    bool is_pos = (n > 0);
    if (n < 0) n = -n;
    vector<int> fact(40000);
    int s = 0;
    vector<int> all;
    {
        int tmp = n;
        int i = 2;
        while (i * i <= tmp) {
            if (n % i == 0) {
                if (fact[i] == 0) {
                    s += 1;
                    all.push_back(i);
                }
                fact[i]++;
                n /= i;
            } else {
                i++;
            }
        }
    }
    vector<int> mi(s);

    cur.resize(s);
    for (int i = 0, j = 0; i < 40000; i++) {
        if (fact[i]) {
            mi[j++] = fact[i];
        }
    }

    calc(mi, 0, !is_pos);
    for (int i = 0; i < perm.size(); i++) {
        for (int j = 0; j < s; j++) {
            int k = 0;
            for (; k < perm[i][j]; k++)
                cout << -all[j] << " ";
            for (; k < mi[j]; k++)
                cout << all[j] << " ";
        }
        cout << "\n";
    }
    return 0;
}


//for (auto x: mi) {
//cout << x << ' ';
//}