#include <iostream>
#include <algorithm>
#include <map>
#include <vector>
#include <cmath>
using namespace std;

const int MAX_N = 200000;

int n, k, m;
int a[MAX_N];

bool check(int b) {
  static int aa[MAX_N];
  int t = 0;
  for (int i = 0; i < k; i++) {
    if (a[i] <= b)
      aa[i] = 0, t++;
    else
      aa[i] = a[i];
  }
  if (t < m)
    return false;

  for (int i = k; i < n; i++) {
    if (aa[i - k] == 0)
      t--;
    if (a[i] <= b)
      aa[i] = 0, t++;
    else
      aa[i] = a[i];
    if (t < m)
      return false;
  }

  return true;
}

int sum(int b) {
  int res = 0;
  for (int i = 0; i < n; i++) {
    if (a[i] > b)
      res += a[i];
  }

  return res - b;
}

int main() {
  cin >> n >> k >> m;
  for (int i = 0; i < n; i++)
    cin >> a[i];

  //int l = 0, r = 1000000000;
  int l = 0, r = 100;
  while (r - l > 1) {
    int m = (l + r) / 2;

    if (check(m))
      r = m;
    else
      l = m;
  }

  cout << sum(r);

  return 0;
}
