#include <iostream>
#include <vector>
#include <algorithm>
#include <queue>
#include <deque>
#include <fstream>
#include <string>
#include <set>
#include <iomanip>
#include <complex>
#include <cmath>
#include <fstream>
#include "math.h"

//#include <iostream>

using namespace std;

struct List
{
	struct Node
	{
		Node* next;
		int val;

		Node(int val = 0)
		{
			this->val = val;
			this->next = nullptr;
		}
	};

	Node* head;
	Node* last;
	List(int val = 0)
	{
		this->head = new Node(val);
		this->last = this->head;
	}

	void add(int val)
	{
		if (this->head == nullptr)
		{
			this->head = new Node(val);
			this->last = this->head;
		}
		this->last->next = new Node(val);
		this->last = this->last->next;
	}

	void del()
	{
		Node* temp = this->head;
		this->head = this->head->next;
		delete temp;
	}

	int getK(int k = 0)
	{
		Node* cur = this->head;
		for (int i = 0; i < k; ++i)
			cur = cur->next;
		return cur->val;
	}
};

void E()
{
	int n = 0;
	cin >> n;
	vector<int> div;
	int s = sqrt(n) + 1;

	int i = 0;
	for (i = 2; i < s; ++i)
	{
		if (n % i == 0)
		{
			div.push_back(i);
			n /= i;
			i = 1;
		}
	}


}

void F()
{
	int n = 0;
	int k = 0;
	int m = 0;
	cin >> n >> k >> m;

	vector<int> ar;

	int min1 = 0;
	int prev = 0;
	int clear = 0;
	for (int i = 0; i < n; ++i)
	{
		int num = 0;
		cin >> num;
		ar.push_back(num);
		if (i == 0)
			continue;

		if (min(num, prev) > min1)
			min1 = min(num, prev);
		prev = num;
	}

	long long int sum = 0;
	for (int i = 0; i < n; ++i)
	{
		if (m == 1 && ar[i] > min1)
			sum += ar[i];
	}
	cout << sum - min1;
}

int main()
{
	F();
	return 0;
}