def prime(n):
    if n < 4:
        return [False, True, True][n - 1]
    k = 2
    while k * k <= n:
        if n % k == 0:
            return False
        k += 1
    return True
def factorize(n):
    if n < 4:
        return [n]
    res = []
    d = 2
    m = n
    while m > 2:
        d = 2
        while d * 2 < m:
            if prime(m) and m % d == 0:
                res.append(d)
                m //= d
                break
            d += 1
    return res
