#include <iostream>
#include <vector>
#include <algorithm>
#include <math.h>
#include <cmath>
#include <set>
#include <map>
#include <iomanip>
#include <string>
typedef long long ll;
typedef unsigned long long ull;
using namespace std;

vector<ll> prime(ll n) {
	vector<bool> v(n + 1, true);
	v[0] = false;
	v[1] = false;
	for (int i = 4; i * i <= n; i += 2) {
		v[i] = false;
	}
	for (int i = 3; i * i <= n; i += 2) {
		if (v[i]) {
			for (int j = i * i; j <= n; j += i) {
				v[j] = false;
			}
		}
	}
	vector<ll> ans;
	if (n >= 2) ans.push_back(2);
	for (int i = 3; i * i <= n; i += 2) {
		if (v[i]) ans.push_back(i);
	}
	return ans;
}

void rec(vector<ll>& v, map<vector<ll>, bool>& mp, vector<ll>& now, int k, int x, int ind) {
	if (ind == v.size()) {
		vector<ll> a = now;
		sort(a.begin(), a.end());
		if(mp.find(a) == mp.end()){
			mp[a] = true;
			for (int i = 0; i < now.size(); i++) {
				cout << now[i] << " ";
			}
			cout << endl;
		}
		return;
	}
	if (x % 2 == k % 2 && x < k && v.size() - ind - 1 >= 1 || x % 2 != k % 2) {
		now.push_back(-v[ind]);
		rec(v, mp, now, k, x + 1, ind + 1);
		now.pop_back();
	}
	int c = v.size() - ind - 1;
	if (x % 2 == k % 2 || x % 2 != k % 2 && c >= 1) {
		now.push_back(v[ind]);
		rec(v, mp, now, k, x, ind + 1);
		now.pop_back();
	}
}

int main() {
	cin.tie(0);
	cout.tie(0);
	ios_base::sync_with_stdio(0);
	ll n;
	cin >> n;
	bool sign = (n < 0);
	n = abs(n);
	vector<ll> d = prime(n);
	vector<ll> v;
	int i = 0;
	while (n > 1) {
		while (n % d[i] == 0) {
			n /= d[i];
			v.push_back(d[i]);
		}
		i++;
	}
	map<vector<ll>, bool> mp;
	vector<ll> now;
	int k = v.size() - (v.size() % 2 == 0 ? 0 : 1) + (sign ? 1 : 0);
	rec(v, mp, now, k, 0, 0);
}