#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

long long check(vector<long long>& a, long long k, long long m, long long b) {
	long long sum = 0;
	long long empty = 0;
	for (int i = 0; i < a.size(); i++) {
		if (i < k) {
			if (a[i] <= b) {
				empty++;
			}
			else {
				sum += a[i];
			}
			continue;
		}

		if (a[i - k] <= b) {
			empty--;
		}
		if (a[i] <= b) {
			empty++;
		}
		else {
			sum += a[i];
		}
		if (empty < m) {
			return -1;
		}
	}
	if (empty < m) {
		return -1;
	}
	return sum;
}

int main() {
	long long n, k, m;
	cin >> n >> k >> m;
	vector<long long> a(n);
	for (int i = 0; i < n; i++) {
		cin >> a[i];
	}

	long long r = 1000000001;
	long long l = 0;
	long long ma = -100000000000000000;
	long long b;
	while (r - l > 1) {
		b = (l + r) / 2;
		long long sum = check(a, k, m, b);
		if (sum == -1) {
			l = b;
		}
		else {
			ma = max(ma, sum - b);
			r = b;
		}
	}
	cout << ma;
	return 0;
}