import java.util.Arrays;
import java.util.Scanner;

public class dfgb {
    public static void main(String[] args) {
        Scanner s = new Scanner(System.in);
        int n = s.nextInt();
        int k = s.nextInt();
        int m = s.nextInt();
        int[] a = new int[n];
        for (int i = 0; i < n; i++) {
            a[i] = s.nextInt();
        }
        int b = min(a);
        while (!check(a, b, k - m))b++;
        int ans = Integer.MIN_VALUE;
        int lim = max(a);
        for (int i = b; i <= lim; i++) {
            int h = sum(a, i) - i;
            ans = Math.max(h, ans);
        }
        System.out.println(ans);
    }

    static boolean check(int[] n, int take, int mx) {
        boolean ans = true;
        int streak = 0;
        for (int j : n) {
            if (j > take) streak++;
            else streak = 0;
            if (streak == mx) {
                ans = false;
                break;
            }
        }
        return ans;
    }

    static int min(int[] n) {
        int ans = Integer.MAX_VALUE;
        for (int a : n) {
            if (a < ans) ans = a;
        }
        return ans;
    }
    static int sum(int[] n, int take) {
        int ans = 0;
        for (int a : n) {
            if (a > take) ans += a;
        }
        return ans;
    }
    static int max(int[] n) {
        int ans = Integer.MIN_VALUE;
        for (int a : n) {
            if (a > ans) ans = a;
        }
        return ans;
    }
}
