#include <bits/stdc++.h>

#pragma GCC optimize("O3", "unroll-loops")
#pragma GCC target ("avx2")

#define forn(i, n) for (int i = 0; i < n; i++)
#define forab(i, a, b) for (int i = a; i < b; i++)
#define all(v) v.begin(), v.end()
#define pb push_back
#define eb emplace_back
#define vi vector<int>
#define vvi vector<vector<int>>
#define vll vector<long long>
#define vvll vector<vector<long long>>
#define pii pair<int, int>
#define pll pair<long long, long long>
#define mp make_pair
#define sz(a) (int) a.size()
#define ll long long
#define ld long double
#define fast ios_base::sync_with_stdio(false); cin.tie(nullptr); cout.tie(nullptr);
#define read_vector(a, n) vi a(n); forn(i, n) cin >> a[i];
#define inf INT32_MAX
#define linf LLONG_MAX
using namespace std;

int n;

vi factorize(int x) {
    vi res;
    while (x % 2 == 0) {
        res.pb(2);
        x = x / 2;
    }
    for (int i = 3; i <= sqrt(x); i = i + 2) {
        while (x % i == 0) {
            res.pb(i);
            x = x / i;
        }
    }
    if (x > 2)
        res.pb(x);
    return res;
}

vvi combination(vi a, int r) {
    vi indices(r);
    vi t;
    copy(all(a), back_inserter(t));
    forn(i, r) {
        indices[i] = i;
        t[i] = -t[i];
    }
    vvi res;
    res.pb(t);
    while (true) {
        if (r - 1 < 0)
            break;
        int i;
        bool flag = false;
        for (i = r - 1; i >= 0; i--) {
            if (indices[i] != i + sz(a) - r) {
                flag = true;
                break;
            }
        }
        if (!flag)
            break;
        indices[i]++;
        forab(j, i + 1, r)indices[j] = indices[j - 1] + 1;
        t.clear();
        copy(all(a), back_inserter(t));
        for (auto ind: indices)
            t[ind] = -t[ind];
        res.pb(t);
    }
    return res;
}

int main() {
    fast
    cin >> n;
    vi f = factorize(abs(n));
    sort(all(f));
    if (n > 0) {
        for (auto x: f) cout << x << " ";
        cout << '\n';
    }
    int c = n > 0 ? 2 : 1;
    set<vi > ans;
    while (c <= sz(f)) {
        for (auto comb: combination(f, c)) {
            sort(all(comb));
            ans.insert(comb);
        }
        c += 2;
    }
    for (const auto &comb: ans) {
        for (auto x: comb)
            cout << x << " ";
        cout << '\n';
    }
    return 0;
    //*/
}
