#include<iostream>
#include<vector>
#include<string>
#include<cmath>
#include<algorithm>
#include<set>

#define ll long long
#define ld long double

using namespace std;

vector<vector<ll>> ans;

void out_res(ll n, vector<ll>& p, vector<ll>& out) {
	ll sz = out.size();
	if (n == 1) {
		for (ll i : out) cout << i << " ";
		cout << endl;
		return;
	}
	if (n == -1) return;
	ll k = p.size();
	ll pr = p[k - 1];
	ll s = 0;
	ll t = n;
	while (t % pr == 0) {
		t /= pr;
		s++;
	}
	p.pop_back();
	vector<ll> out2 = out;
	for (ll i = 0; i < s; i++) out2.push_back(pr);
	for (ll i = 0; i < s + 1; i++) {
		if (i % 2 == 0) {
			ll rr = t;
			vector<ll> p1 = p;
			out_res(rr, p1, out2);
		}
		else {
			ll rr = -t;
			vector<ll> p1 = p;
			out_res(rr, p1, out2);
		}
		if (i < s) out2[sz + i] *= -1;
	}
}

int main() {
	ll n;
	cin >> n;
	vector<ll> primes = { 2, 3, 5 };
	ll kp = 3;
	vector<ll> a;
	for (ll i = 7; i * i <= abs(n); i++) {
		ll t = 0;
		while (t < kp && i % primes[t] != 0) t++;
		if (t == kp) {
			kp++;
			primes.push_back(i);
		}
	}
	ll tr = abs(n);
	for (ll i = 0; i < kp; i++) if (n % primes[i] == 0) {
		a.push_back(primes[i]);
		while (tr % primes[i] == 0) tr /= primes[i];
	}
	if (abs(tr) > 1) a.push_back(tr);
	/*for (ll i : primes) cout << i << " ";
	cout << endl;*/
	vector<ll> ot;
	out_res(n, a, ot);
}